﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace CDays14Demo
{
	using Windows.ApplicationModel;

	/// <summary>
	/// An empty page that can be used on its own or navigated to within a Frame.
	/// </summary>
	public sealed partial class MainPage : Page
	{
		public MainPage()
		{
			this.InitializeComponent();
		}

		private void GetPackageInfo(object sender, RoutedEventArgs e)
		{
			PackageVersion version = Package.Current.Id.Version;

			string familyName = Package.Current.Id.FamilyName;
			string displayName = Package.Current.DisplayName;
			string installedLocation = Package.Current.InstalledLocation.Path;
			bool isDevelopmentMode = Package.Current.IsDevelopmentMode;
			bool isFramework = Package.Current.IsFramework;
			string fullName = Package.Current.Id.FullName;
			string versionText = string.Format("{0}.{1}.{2}.{3}", version.Major, version.Minor, version.Build, version.Revision);

			InfoListBox.Items.Add("Display name: " + displayName);
			InfoListBox.Items.Add("Family name: " + familyName);
			InfoListBox.Items.Add("FullName name: " + familyName);
			InfoListBox.Items.Add("Install path: " + installedLocation);
			InfoListBox.Items.Add("Is Development mode: " + isDevelopmentMode);
			InfoListBox.Items.Add("Is Framework: " + isFramework);
			InfoListBox.Items.Add("Version: " + versionText);




		}
	}
}
