﻿namespace Startup
{
	using System;
	using System.Diagnostics;

	public static class Bootstrap
	{
		public static class Program
		{
			//Requires #DISABLE_XAML_GENERATED_MAIN

			public static void Main(string[] args)
			{
				//Main thread
				Debug.WriteLine("Primary Thread Id:{0}", Environment.CurrentManagedThreadId);
				Windows.UI.Xaml.Application.Start(
					(p) =>
					{
						//View thread
						Debug.WriteLine("Main View Thread Id:{0}", Environment.CurrentManagedThreadId);
						new App();
					});
			}
		}
	}
}
